<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html [
<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="index">
    <div class="menu">
        <xsl:apply-templates />
    </div>
</xsl:template>

<!-- Ignore book elements for index menu, except current one -->
<xsl:template match="book">
</xsl:template>

<!-- Process only current book -->
<xsl:template match="book[@current]">
    <ul>
        <xsl:apply-templates />
    </ul>
</xsl:template>

<!-- Display chapters and sections -->
<xsl:template match="chapter | section">
    <li><a href="{@uri}" class="chapter"><xsl:value-of select="@label" /></a></li>
</xsl:template>

<!-- Current (open) chapters and sections -->
<xsl:template match="chapter[@current] | section[@current]">
    <li><a href="{@uri}" class="chapter open"><xsl:value-of select="@label" /></a></li>
    <ul>
        <xsl:apply-templates />
    </ul>
</xsl:template>

<!-- Display a link to a page -->
<xsl:template match="page">
    <li><a href="{@uri}" class="page"><xsl:value-of select="@label" /></a></li>    
</xsl:template>

<!-- Display current page -->
<xsl:template match="page[@current]">
    <li class="current" title="{@uri}"><xsl:value-of select="@label" /></li>
</xsl:template>

</xsl:stylesheet>
